Bug 178497 - [maintainer update] databases/datamodeler version update from 3.1.0.700 to 3.3.0.747
[maintainer update] databases/datamodeler version update from 3.1.0.700 to 3....
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thierry Thomas
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 22:50 UTC by jjuanino
Modified: 2014-02-09 15:13 UTC (History)
0 users

See Also:


Attachments
file.diff (14.67 KB, patch)
2013-05-10 22:50 UTC, jjuanino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2013-05-10 22:50:00 UTC
Dear FreeBSD committer:

I send a patch to update datamodeler port from 3.1.0.700 to 3.3.0.747 version

# cd /usr/ports/databases/datamodeler
# patch -p1 < pathToPatch.diff
# rm *.orig files/*.orig


Best regards

Fix: Patch attached with submission follows:
Comment 1 Carlo Strub freebsd_committer 2013-05-25 10:35:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it
Comment 2 Carlo Strub freebsd_committer 2013-06-26 22:05:56 UTC
Responsible Changed
From-To: cs->freebsd-ports-bugs

Back to pool.
Comment 3 Thierry Thomas freebsd_committer 2014-01-27 22:15:56 UTC
State Changed
From-To: open->feedback


Sorry for the delay! In the meantime, the distfile has been updated to 
version 4.0.0.833 and the older one is no more available. Could you 
please check it? 

I have merged your patch with the actual state of the port: 

--- datamodeler.diff begins here --- 
diff -urN databases/datamodeler.orig/Makefile databases/datamodeler/Makefile 
--- databases/datamodeler.orig/Makefile	2014-01-26 23:54:27.000000000 +0100 
+++ databases/datamodeler/Makefile	2014-01-27 23:09:04.000000000 +0100 
@@ -2,7 +2,7 @@ 
# $FreeBSD: head/databases/datamodeler/Makefile 340722 2014-01-22 17:00:46Z mat $ 

PORTNAME=	datamodeler 
-PORTVERSION=	3.1.0.700 
+PORTVERSION=	3.3.0.747 
DISTVERSIONSUFFIX=-1 
CATEGORIES=	databases java 
MASTER_SITES=	#http://www.oracle.com/technetwork/developer-tools/datamodeler/downloads/index.html 
@@ -27,11 +27,12 @@ 

DATADIR=	${JAVASHAREDIR}/${PORTNAME} 
WRKSRC=		${WRKDIR}/opt/${PORTNAME} 
+SUB_FILES=	${PORTNAME}.script.sh 
+SUB_LIST=	JAVA_HOME=${JAVA_HOME} 

-NO_STAGE=	yes 
.include <bsd.port.pre.mk> 

-.if !defined(NOPORTDOCS) 
+.if ${PORT_OPTIONS:MDOCS} 
PORTDOCS=	readme.html 
.endif 

@@ -40,58 +41,40 @@ 
.endif 

.if !exists(${DISTDIR}/${DIST_SUBDIR}/${DISTNAME}${EXTRACT_SUFX}) 
-DISTFILE_INSTRUCTIONS	=	n 
-DISTFILE_INSTRUCTIONS 	+=	Due to Oracle license restrictions, you must fetch the source n 
-DISTFILE_INSTRUCTIONS 	+=	distribution manually.	Please access  n 
-DISTFILE_INSTRUCTIONS 	+=	http://www.oracle.com/technetwork/developer-tools/datamodeler/downloads/index.html n 
-DISTFILE_INSTRUCTIONS 	+=	with a web browser and follow the link for the n 
-DISTFILE_INSTRUCTIONS 	+=	"${DISTFILES}".  n 
-DISTFILE_INSTRUCTIONS 	+=	You will be required to register and log in, n 
-DISTFILE_INSTRUCTIONS 	+=	but you can create an account on that page.  n 
-DISTFILE_INSTRUCTIONS 	+=	After registration and accepting the Oracle License, n 
-DISTFILE_INSTRUCTIONS 	+=	download the distribution file, n ${DISTFILES}, n 
-DISTFILE_INSTRUCTIONS 	+=	into ${DISTDIR}/${DIST_SUBDIR}/ n 
-DISTFILE_INSTRUCTIONS 	+=	and then restart this installationnn 
-.endif 
- 
-.if defined(DISTFILE_INSTRUCTIONS) 
-.if defined(PACKAGE_BUILDING) 
-IGNORE=		requires manual fetch 
-.else 
-pre-fetch: 
-	@${PRINTF} "${DISTFILE_INSTRUCTIONS}" 
-	@exit 1 
-.endif 
+IGNORE=	due to Oracle license restrictions, you must fetch the source 
+distribution manually. Please access 
+http://www.oracle.com/technetwork/developer-tools/datamodeler/downloads/index.html 
+with a web browser and follow the link for the ${DISTFILES}. You will be 
+required to register and log in, but you can create an account on that 
+page. After registration and accepting the Oracle License, download the 
+distribution file, ${DISTFILES}, into ${DISTDIR}/${DIST_SUBDIR}/ and then 
+restart this installation 
.endif 

SUB_FILES=	${PORTNAME}.script.sh 
SUB_LIST=	JAVA_HOME=${JAVA_HOME} 

do-install: 
-	@${ECHO_MSG} -n ">> Installing scripts..." 
-	@${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}.script.sh ${PREFIX}/bin/${PORTNAME} 
-	@${ECHO_MSG} " [ DONE ]" 
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}.script.sh ${STAGEDIR}${PREFIX}/bin/${PORTNAME} 

.for d in datamodeler ide jdbc jdev jlib modules rdbms sleepycat  
sqldeveloper timingframework 
-	@${ECHO_MSG} -n ">> Installing data directory '${d}'..." 
-	@cd ${WRKSRC} && ${FIND} ${d} -type d  
+	cd ${WRKSRC} && ${FIND} ${d} -type d  
-not -path "jdev/extensions/oracle.jdeveloper.subversion/licenses"  
-		-exec ${MKDIR} ${DATADIR}/{} ; 
-	@cd ${WRKSRC} && ${FIND} ${d} -type f  
+		-exec ${MKDIR} ${STAGEDIR}${DATADIR}/{} ; 
+	cd ${WRKSRC} && ${FIND} ${d} -type f  
-not -name "*.orig"  
-not -name "*.exe"  
-not -name "*.bat"  
-not -name "*.bak"  
-not -name "*.dll"  
-not -path "jdev/extensions/oracle.jdeveloper.subversion/licenses/*"  
-		-exec ${INSTALL_DATA} {} ${DATADIR}/{} ; 
-	@${ECHO_MSG} " [ DONE ]" 
+		-exec ${INSTALL_DATA} {} ${STAGEDIR}${DATADIR}/{} ; 
.endfor 

-.if !defined(NOPORTDOCS) 
-	@${MKDIR} ${DOCSDIR} 
-	@cd ${WRKSRC} && ${INSTALL_DATA} ${PORTNAME}/readme.html ${DOCSDIR} 
+.if ${PORT_OPTIONS:MDOCS} 
+	${MKDIR} ${STAGEDIR}${DOCSDIR} 
+	cd ${WRKSRC} && ${INSTALL_DATA} readme.html ${STAGEDIR}${DOCSDIR} 
.endif 

.include <bsd.port.post.mk> 
diff -urN databases/datamodeler.orig/distinfo databases/datamodeler/distinfo 
--- databases/datamodeler.orig/distinfo	2014-01-26 23:54:27.000000000 +0100 
+++ databases/datamodeler/distinfo	2014-01-27 22:51:20.000000000 +0100 
@@ -1,2 +1,2 @@ 
-SHA256 (oracle/datamodeler-3.1.0.700-1.noarch.rpm) = a4ad4b80ea6b14d060c5a6d9764fd3c4ba2f7fef51f5d72cbbb716513b76be9b 
-SIZE (oracle/datamodeler-3.1.0.700-1.noarch.rpm) = 101001500 
+SHA256 (oracle/datamodeler-3.3.0.747-1.noarch.rpm) = 827cbe3101799e74d17d660b691358041e7e2376917d7a7ff1e3f021bfe01caa 
+SIZE (oracle/datamodeler-3.3.0.747-1.noarch.rpm) = 112556363 
diff -urN databases/datamodeler.orig/pkg-plist databases/datamodeler/pkg-plist 
--- databases/datamodeler.orig/pkg-plist	2014-01-26 23:54:27.000000000 +0100 
+++ databases/datamodeler/pkg-plist	2014-01-27 22:51:20.000000000 +0100 
@@ -9,11 +9,34 @@ 
%%DATADIR%%/datamodeler/bin/splash.png 
%%DATADIR%%/datamodeler/bin/version.properties 
%%DATADIR%%/datamodeler/doc/datamodeler_help.jar 
+%%DATADIR%%/datamodeler/doc/welcome/de/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/de/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/de/welcome_tran_source.js 
+%%DATADIR%%/datamodeler/doc/welcome/en/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/en/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/en/welcome_tran_source.js 
+%%DATADIR%%/datamodeler/doc/welcome/es/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/es/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/es/welcome_tran_source.js 
%%DATADIR%%/datamodeler/doc/welcome/footer_style.css 
+%%DATADIR%%/datamodeler/doc/welcome/fr/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/fr/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/fr/welcome_tran_source.js 
+%%DATADIR%%/datamodeler/doc/welcome/it/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/it/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/it/welcome_tran_source.js 
+%%DATADIR%%/datamodeler/doc/welcome/ja/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/ja/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/ja/welcome_tran_source.js 
+%%DATADIR%%/datamodeler/doc/welcome/ko/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/ko/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/ko/welcome_tran_source.js 
%%DATADIR%%/datamodeler/doc/welcome/main.css 
+%%DATADIR%%/datamodeler/doc/welcome/pt_BR/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/pt_BR/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/pt_BR/welcome_tran_source.js 
%%DATADIR%%/datamodeler/doc/welcome/startPage_script.js 
%%DATADIR%%/datamodeler/doc/welcome/subPage_script.js 
-%%DATADIR%%/datamodeler/doc/welcome/welcome.html 
%%DATADIR%%/datamodeler/doc/welcome/welcomeImages/TPaths.png 
%%DATADIR%%/datamodeler/doc/welcome/welcomeImages/closedbook.png 
%%DATADIR%%/datamodeler/doc/welcome/welcomeImages/codesampleicon.png 
@@ -47,31 +70,43 @@ 
%%DATADIR%%/datamodeler/doc/welcome/welcomeImages/welcome_r2_c3_f3.png 
%%DATADIR%%/datamodeler/doc/welcome/welcomeImages/welcome_r2_c3_f4.png 
%%DATADIR%%/datamodeler/doc/welcome/welcomeImages/welcome_r2_c3_f5.png 
+%%DATADIR%%/datamodeler/doc/welcome/zh_CN/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/zh_CN/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/zh_CN/welcome_tran_source.js 
+%%DATADIR%%/datamodeler/doc/welcome/zh_TW/welcome.html 
+%%DATADIR%%/datamodeler/doc/welcome/zh_TW/welcome.js 
+%%DATADIR%%/datamodeler/doc/welcome/zh_TW/welcome_tran_source.js 
%%DATADIR%%/datamodeler/extensions/oracle.datamodeler.jar 
-%%DATADIR%%/datamodeler/icon.png 
%%DATADIR%%/datamodeler/lib/ActiveQueryBuilder.jar 
+%%DATADIR%%/datamodeler/lib/RSyntaxTextArea.License.txt 
%%DATADIR%%/datamodeler/lib/avalon-framework-4.2.0.jar 
%%DATADIR%%/datamodeler/lib/awxml.jar 
%%DATADIR%%/datamodeler/lib/batik-all-1.7.jar 
%%DATADIR%%/datamodeler/lib/commons-io-1.3.1.jar 
%%DATADIR%%/datamodeler/lib/commons-logging-1.0.4.jar 
+%%DATADIR%%/datamodeler/lib/dom4j-1.6.1.jar 
%%DATADIR%%/datamodeler/lib/fop.jar 
+%%DATADIR%%/datamodeler/lib/itextpdf-5.1.2.jar 
%%DATADIR%%/datamodeler/lib/jlfgr.jar 
%%DATADIR%%/datamodeler/lib/js.jar 
%%DATADIR%%/datamodeler/lib/log4j.jar 
%%DATADIR%%/datamodeler/lib/olap_api.jar 
-%%DATADIR%%/datamodeler/lib/poi.jar 
+%%DATADIR%%/datamodeler/lib/poi-3.7-20101029.jar 
+%%DATADIR%%/datamodeler/lib/poi-ooxml-3.7-20101029.jar 
+%%DATADIR%%/datamodeler/lib/poi-ooxml-schemas-3.7-20101029.jar 
+%%DATADIR%%/datamodeler/lib/rsyntaxtextarea.jar 
%%DATADIR%%/datamodeler/lib/serializer-2.7.0.jar 
%%DATADIR%%/datamodeler/lib/xalan-2.7.0.jar 
%%DATADIR%%/datamodeler/lib/xml-apis-ext.jar 
%%DATADIR%%/datamodeler/lib/xml-apis.jar 
+%%DATADIR%%/datamodeler/lib/xmlbeans-2.3.0.jar 
%%DATADIR%%/datamodeler/lib/xmlgraphics-commons-1.3.1.jar 
-%%DATADIR%%/datamodeler/readme.html 
%%DATADIR%%/datamodeler/reports/DMRS_Upgrade_Script_DM2.0patch_DM2.1.sql 
%%DATADIR%%/datamodeler/reports/DMRS_Upgrade_Script_DM2.0patch_DM3.0.sql 
%%DATADIR%%/datamodeler/reports/DMRS_Upgrade_Script_DM2.0patch_DM3.0_DML.sql 
%%DATADIR%%/datamodeler/reports/DMRS_Upgrade_Script_DM2_DM2patch.sql 
%%DATADIR%%/datamodeler/reports/DMRS_Upgrade_Script_DM3.0_DM3.1.sql 
+%%DATADIR%%/datamodeler/reports/DMRS_Upgrade_Script_DM3.1_DM3.3.sql 
%%DATADIR%%/datamodeler/reports/Pkg_Osdm_Utils.sql 
%%DATADIR%%/datamodeler/reports/Pkg_Osdm_Utils_body.sql 
%%DATADIR%%/datamodeler/reports/Reporting Schema diagrams/Data Types model.pdf 
@@ -118,6 +153,12 @@ 
%%DATADIR%%/datamodeler/reports/xslt/10/MeasurementsDetails_html.xslt 
%%DATADIR%%/datamodeler/reports/xslt/10/MeasurementsDetails_pdf.xslt 
%%DATADIR%%/datamodeler/reports/xslt/10/MeasurementsDetails_rtf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/10/ObjectsComparison_html.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/10/ObjectsComparison_pdf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/10/ObjectsComparison_rtf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/10/SearchResults_html.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/10/SearchResults_pdf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/10/SearchResults_rtf.xslt 
%%DATADIR%%/datamodeler/reports/xslt/10/SingleCollectionTypeDetails_html.xslt 
%%DATADIR%%/datamodeler/reports/xslt/10/SingleCollectionTypeDetails_pdf.xslt 
%%DATADIR%%/datamodeler/reports/xslt/10/SingleCollectionTypeDetails_rtf.xslt 
@@ -160,6 +201,12 @@ 
%%DATADIR%%/datamodeler/reports/xslt/20/MeasurementsDetails_html.xslt 
%%DATADIR%%/datamodeler/reports/xslt/20/MeasurementsDetails_pdf.xslt 
%%DATADIR%%/datamodeler/reports/xslt/20/MeasurementsDetails_rtf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/20/ObjectsComparison_html.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/20/ObjectsComparison_pdf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/20/ObjectsComparison_rtf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/20/SearchResults_html.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/20/SearchResults_pdf.xslt 
+%%DATADIR%%/datamodeler/reports/xslt/20/SearchResults_rtf.xslt 
%%DATADIR%%/datamodeler/reports/xslt/20/SingleCollectionTypeDetails_html.xslt 
%%DATADIR%%/datamodeler/reports/xslt/20/SingleCollectionTypeDetails_pdf.xslt 
%%DATADIR%%/datamodeler/reports/xslt/20/SingleCollectionTypeDetails_rtf.xslt 
@@ -175,6 +222,8 @@ 
%%DATADIR%%/datamodeler/reports/xslt/20/SingleTableDetails_html.xslt 
%%DATADIR%%/datamodeler/reports/xslt/20/SingleTableDetails_pdf.xslt 
%%DATADIR%%/datamodeler/reports/xslt/20/SingleTableDetails_rtf.xslt 
+%%DATADIR%%/datamodeler/samples/Dimensional_model/Global11_demo.pdf 
+%%DATADIR%%/datamodeler/samples/Dimensional_model/global11_demo.zip 
%%DATADIR%%/datamodeler/templates/ABBREVS_SAMPLE.csv 
%%DATADIR%%/datamodeler/templates/plurals.csv 
%%DATADIR%%/datamodeler/types/defaultRDBMSSites.xml 
@@ -230,6 +279,7 @@ 
%%DATADIR%%/datamodeler/xmlmetadata/ClusterOracle.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ClusterOraclev10g.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ClusterOraclev9i.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/Column.DependentColumnDescriptor.xml 
%%DATADIR%%/datamodeler/xmlmetadata/Column.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnIdentityDB2.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnIdentityDB2v80.xml 
@@ -239,6 +289,7 @@ 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnProxyOracle.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnProxyOraclev10g.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnProxyOraclev11g.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/ColumnProxyOraclev12c.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnProxyOraclev9i.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnProxySqlServer.xml 
%%DATADIR%%/datamodeler/xmlmetadata/ColumnProxySqlServerv2k.xml 
@@ -295,6 +346,7 @@ 
%%DATADIR%%/datamodeler/xmlmetadata/DefaultSqlServer.xml 
%%DATADIR%%/datamodeler/xmlmetadata/DefaultSqlServerv2k.xml 
%%DATADIR%%/datamodeler/xmlmetadata/DefaultSqlServerv2k5.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/Design.DesignStorageDesc.xml 
%%DATADIR%%/datamodeler/xmlmetadata/Design.xml 
%%DATADIR%%/datamodeler/xmlmetadata/DesignObject.xml 
%%DATADIR%%/datamodeler/xmlmetadata/DesignPart.xml 
@@ -423,6 +475,8 @@ 
%%DATADIR%%/datamodeler/xmlmetadata/LoginSqlServer.xml 
%%DATADIR%%/datamodeler/xmlmetadata/LoginSqlServerv2k.xml 
%%DATADIR%%/datamodeler/xmlmetadata/LoginSqlServerv2k5.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/MaskTemplate.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/MaskTemplateFileWrapper.xml 
%%DATADIR%%/datamodeler/xmlmetadata/Measure.AggregateFunction.xml 
%%DATADIR%%/datamodeler/xmlmetadata/Measure.xml 
%%DATADIR%%/datamodeler/xmlmetadata/MeasureFolder.xml 
@@ -533,6 +587,8 @@ 
%%DATADIR%%/datamodeler/xmlmetadata/SegmentOraclev10g.xml 
%%DATADIR%%/datamodeler/xmlmetadata/SegmentOraclev9i.xml 
%%DATADIR%%/datamodeler/xmlmetadata/SelectionCriteria.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/SensitiveType.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/SensitiveTypeFileWrapper.xml 
%%DATADIR%%/datamodeler/xmlmetadata/SequenceDB2.xml 
%%DATADIR%%/datamodeler/xmlmetadata/SequenceOracle.xml 
%%DATADIR%%/datamodeler/xmlmetadata/SequenceOraclev10g.xml 
@@ -583,6 +639,9 @@ 
%%DATADIR%%/datamodeler/xmlmetadata/SynonymOraclev10g.xml 
%%DATADIR%%/datamodeler/xmlmetadata/SynonymOraclev9i.xml 
%%DATADIR%%/datamodeler/xmlmetadata/SynonymSqlServer.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/TSDPPolicy.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/TSDPPolicyFileWrapper.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/TSDPSubPolicy.xml 
%%DATADIR%%/datamodeler/xmlmetadata/TVConnector.xml 
%%DATADIR%%/datamodeler/xmlmetadata/TVDiagramView.xml 
%%DATADIR%%/datamodeler/xmlmetadata/Table.ColumnGroup.xml 
@@ -631,6 +690,7 @@ 
%%DATADIR%%/datamodeler/xmlmetadata/TemporaryTablespaceOracle.xml 
%%DATADIR%%/datamodeler/xmlmetadata/TemporaryTablespaceOraclev10g.xml 
%%DATADIR%%/datamodeler/xmlmetadata/TemporaryTablespaceOraclev9i.xml 
+%%DATADIR%%/datamodeler/xmlmetadata/TopView.xml 
%%DATADIR%%/datamodeler/xmlmetadata/Transformation.xml 
%%DATADIR%%/datamodeler/xmlmetadata/TransformationFlow.xml 
%%DATADIR%%/datamodeler/xmlmetadata/TransformationPackage.xml 
@@ -878,6 +938,8 @@ 
@dirrm %%DATADIR%%/datamodeler/xmlmetadata 
@dirrm %%DATADIR%%/datamodeler/types 
@dirrm %%DATADIR%%/datamodeler/templates 
+@dirrm %%DATADIR%%/datamodeler/samples/Dimensional_model 
+@dirrm %%DATADIR%%/datamodeler/samples 
@dirrm %%DATADIR%%/datamodeler/reports/xslt/20 
@dirrm %%DATADIR%%/datamodeler/reports/xslt/10 
@dirrm %%DATADIR%%/datamodeler/reports/xslt 
@@ -886,7 +948,17 @@ 
@dirrm %%DATADIR%%/datamodeler/log 
@dirrm %%DATADIR%%/datamodeler/lib 
@dirrm %%DATADIR%%/datamodeler/extensions 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/zh_TW 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/zh_CN 
@dirrm %%DATADIR%%/datamodeler/doc/welcome/welcomeImages 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/pt_BR 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/ko 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/ja 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/it 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/fr 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/es 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/en 
+@dirrm %%DATADIR%%/datamodeler/doc/welcome/de 
@dirrm %%DATADIR%%/datamodeler/doc/welcome 
@dirrm %%DATADIR%%/datamodeler/doc 
@dirrm %%DATADIR%%/datamodeler/bin 
--- datamodeler.diff ends here --- 




Comment 4 Thierry Thomas freebsd_committer 2014-01-27 22:15:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 5 Thierry Thomas freebsd_committer 2014-06-01 07:57:09 UTC
State Changed
From-To: feedback->closed


Feedback received with a newer patch. 

Committed, thanks!